Retrieve a quote
curl --request GET \
--url https://thirdparty.qonto.com/v2/quotes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/quotes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/quotes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/quotes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/quotes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"quote": {
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"number": "Q-2024-001",
"status": "pending_approval",
"currency": "EUR",
"total_amount": {
"value": "240.00",
"currency": "EUR"
},
"total_amount_cents": 24000,
"vat_amount": {
"value": "40.00",
"currency": "EUR"
},
"vat_amount_cents": 4000,
"issue_date": "2024-01-15",
"expiry_date": "2024-02-15",
"created_at": "2024-01-15T10:30:00Z",
"items": [
{
"title": "Consulting services",
"description": "Monthly consulting services",
"quantity": "2.5",
"unit": "hour",
"vat_rate": "0.2",
"vat_exemption_reason": "N1",
"unit_price": {
"value": "100.00",
"currency": "EUR"
},
"unit_price_cents": 10000,
"total_amount": {
"value": "200.00",
"currency": "EUR"
},
"total_amount_cents": 20000,
"total_vat": {
"value": "40.00",
"currency": "EUR"
},
"total_vat_cents": 4000,
"subtotal": {
"value": "160.00",
"currency": "EUR"
},
"subtotal_cents": 16000,
"discount": {
"type": "percentage",
"value": "<string>",
"amount": {
"value": "<string>",
"currency": "<string>"
},
"amount_cents": 123
}
}
],
"client": {
"id": "33v418bb-bd0d-4df4-865c-c07afab8bb48",
"name": "McDonald's",
"first_name": "Jane",
"last_name": "Doe",
"type": "individual",
"email": "client@qonto.com",
"vat_number": "FR32123456789",
"tax_identification_number": "123456789",
"address": "1 place de l’Opéra",
"city": "Paris",
"zip_code": "75010",
"province_code": "<string>",
"country_code": "fr",
"recipient_code": "<string>",
"locale": "fr",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75010",
"province_code": "<string>",
"country_code": "FR"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75010",
"province_code": "<string>",
"country_code": "FR"
}
},
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_name": "<string>",
"legal_number": "<string>",
"legal_country": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_zipcode": "<string>",
"address_city": "<string>",
"address_country": "<string>",
"company_leadership": "Jan Mueller",
"district_court": "Munich",
"commercial_register_number": "HRB12345B",
"vat_number": "FR123456789",
"tax_number": "123/123/1234",
"legal_capital_share": {
"value": "10000.00",
"currency": "EUR"
},
"transaction_type": "goods",
"vat_payment_condition": "on_receipts"
},
"attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"quote_url": "https://portal.qonto.com/quotes/00000000-0000-0000-0000-000000000000",
"electronic_signature_url": "https://pay.qonto.com/quotes/00000000-0000-0000-0000-000000000000/signing/00000000-0000-0000-0000-000000000001",
"contact_email": "contact@qonto.com",
"terms_and_conditions": "This is an example.",
"header": "This is an example.",
"footer": "This is an example.",
"discount": {
"type": "percentage",
"value": "10",
"amount": {
"value": "20.00",
"currency": "EUR"
},
"amount_cents": 2000
},
"approved_at": "2024-01-16T14:22:00Z",
"canceled_at": "2024-01-17T09:15:00Z",
"welfare_fund": {
"type": "TC22",
"rate": "0.1",
"amount": "10.00"
},
"withholding_tax": {
"reason": "RT01",
"rate": "0.1",
"amount": "10.00",
"payment_reason": "M1"
},
"stamp_duty_amount": "0.10",
"invoice_ids": [
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
]
}
}Quotes
Retrieve a quote
Retrieves the quote identified by the id path parameter.
GET
/
v2
/
quotes
/
{id}
Retrieve a quote
curl --request GET \
--url https://thirdparty.qonto.com/v2/quotes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/quotes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/quotes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/quotes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/quotes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"quote": {
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"number": "Q-2024-001",
"status": "pending_approval",
"currency": "EUR",
"total_amount": {
"value": "240.00",
"currency": "EUR"
},
"total_amount_cents": 24000,
"vat_amount": {
"value": "40.00",
"currency": "EUR"
},
"vat_amount_cents": 4000,
"issue_date": "2024-01-15",
"expiry_date": "2024-02-15",
"created_at": "2024-01-15T10:30:00Z",
"items": [
{
"title": "Consulting services",
"description": "Monthly consulting services",
"quantity": "2.5",
"unit": "hour",
"vat_rate": "0.2",
"vat_exemption_reason": "N1",
"unit_price": {
"value": "100.00",
"currency": "EUR"
},
"unit_price_cents": 10000,
"total_amount": {
"value": "200.00",
"currency": "EUR"
},
"total_amount_cents": 20000,
"total_vat": {
"value": "40.00",
"currency": "EUR"
},
"total_vat_cents": 4000,
"subtotal": {
"value": "160.00",
"currency": "EUR"
},
"subtotal_cents": 16000,
"discount": {
"type": "percentage",
"value": "<string>",
"amount": {
"value": "<string>",
"currency": "<string>"
},
"amount_cents": 123
}
}
],
"client": {
"id": "33v418bb-bd0d-4df4-865c-c07afab8bb48",
"name": "McDonald's",
"first_name": "Jane",
"last_name": "Doe",
"type": "individual",
"email": "client@qonto.com",
"vat_number": "FR32123456789",
"tax_identification_number": "123456789",
"address": "1 place de l’Opéra",
"city": "Paris",
"zip_code": "75010",
"province_code": "<string>",
"country_code": "fr",
"recipient_code": "<string>",
"locale": "fr",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75010",
"province_code": "<string>",
"country_code": "FR"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75010",
"province_code": "<string>",
"country_code": "FR"
}
},
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_name": "<string>",
"legal_number": "<string>",
"legal_country": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_zipcode": "<string>",
"address_city": "<string>",
"address_country": "<string>",
"company_leadership": "Jan Mueller",
"district_court": "Munich",
"commercial_register_number": "HRB12345B",
"vat_number": "FR123456789",
"tax_number": "123/123/1234",
"legal_capital_share": {
"value": "10000.00",
"currency": "EUR"
},
"transaction_type": "goods",
"vat_payment_condition": "on_receipts"
},
"attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"quote_url": "https://portal.qonto.com/quotes/00000000-0000-0000-0000-000000000000",
"electronic_signature_url": "https://pay.qonto.com/quotes/00000000-0000-0000-0000-000000000000/signing/00000000-0000-0000-0000-000000000001",
"contact_email": "contact@qonto.com",
"terms_and_conditions": "This is an example.",
"header": "This is an example.",
"footer": "This is an example.",
"discount": {
"type": "percentage",
"value": "10",
"amount": {
"value": "20.00",
"currency": "EUR"
},
"amount_cents": 2000
},
"approved_at": "2024-01-16T14:22:00Z",
"canceled_at": "2024-01-17T09:15:00Z",
"welfare_fund": {
"type": "TC22",
"rate": "0.1",
"amount": "10.00"
},
"withholding_tax": {
"reason": "RT01",
"rate": "0.1",
"amount": "10.00",
"payment_reason": "M1"
},
"stamp_duty_amount": "0.10",
"invoice_ids": [
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
]
}
}Authentication: API key OAuth 2.0
Scope:
Scope:
client_invoices.readAuthorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The unique identifier of the quote.
Response
Returns the quote identified by the id path parameter.
Show child attributes
Show child attributes
Was this page helpful?